<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSupplierInvoiceOthersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fm_supplier_invoice_others', function (Blueprint $table) {
            $table->id('supplier_invoice_other_id');
            $table->integer('internal_id');
            $table->string('external_id', 100);
            $table->string('description')->nullable();
            $table->double('quantity')->nullable();
            $table->double('price')->nullable();
            $table->double('discount')->nullable();
            $table->double('value')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('supplier_invoice_others');
    }
}
